{

	saved_Start [0]
	saved_firsttime [1]
	path2done [0]
	path3done [0]

	Init[ ()
	{
		if(saved_firsttime = 1)
		{
			saved_firsttime = 0;

			SetNationality(0);
			SetInvulnerable(1);

			GiveWeapon(43);
			PlayAnimation(7);
			SetRunning();

			SetAttackDistance(15,15);
			SetState_Patrol(0);
			SetLineOfSight(1);
			SetWalkToDist(10);

			SetWander(0);
		}

	}]

	BombsAway[ (xPos, yPos, zPos)
	{
		saved_Start = 1;
		PlaySound(3,100,true);
		Level.CreateEffect(55,61,0,xPos,yPos,zPos,128,14,72,72);

		Level.GetPlayer().ShakeHere( xPos, yPos );
		Level.GetPlayer().DamageHere( xPos, yPos,1500,9 );

		BombTime = Random(1,2);
		Delay(BombTime,1);
	}]

	DelayReached[ (dy)
	{

		if (dy=0)
		{
			flak = 	Level.GetEntity("flak01");
			flak.SetUsable( true );
			flak.SetUseText( 140);

			flak = 	Level.GetEntity("flak02");
			flak.SetUsable( true );
			flak.SetUseText( 140);

			Level.GetPlayer().PlaySound(82);
			Delay(3,1);
		}

		if( dy=1 )
		{

			if (saved_Start = 0 )
			{
				PlayAnimation(7);
				SetRunning();
				FollowPath("foley01",0);
				FollowPathCallback(127,"GoPatrol");
			}

			if( Level.saved_StopBomb = 0 )
			{
				xPos = Random(2944,14720);
				yPos = Random(4736,18090);
				zPos = -400;

				BombsAway(xPos,yPos,zPos);
			}

		}

		if(dy=3)
		{
			Level.Victory();
			Delay(2,5);
		}
		
		if (dy=5)
		{
			Level.LoadLevel("S_BRIntro_Level");
		}

	}]

	NextPath[(path)
	{
		if ((path = 2) and (path2done = 0))
		{
			path2done = 1;
			FollowPath("foley02");
			FollowPathCallback(127,"NextPath",3);
		}
		
		if ((path = 3) and (path3done = 0))
		{
			path3done = 1;
			FollowPath("foley03");
		}
	}]

	GoPatrol[()
	{
		SetAttackDistance(15,15);
		SetState_Patrol(0);
		SetLineOfSight(1);

		SetWalkToDist(10);
		SetWander(0);
	}]

}